LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XImplementationLoader Interface Referencepublished

handles activation (loading) of a UNO component. More...

`import"XImplementationLoader.idl";`

Inheritance diagram for XImplementationLoader:

## Public Member Functions
com::sun::star::uno::XInterface | activate ([in] string implementationName, [in] string implementationLoaderUrl, [in] string locationUrl, [in] com::sun::star::registry::XRegistryKey xKey) raises ( com::sun::star::loader::CannotActivateFactoryException )
| activates a concrete implementation within a component. More...
boolean | writeRegistryInfo ([in] com::sun::star::registry::XRegistryKey xKey, [in] string implementationLoaderUrl, [in] string locationUrl) raises ( com::sun::star::registry::CannotRegisterImplementationException )
| writes a list of all implementations hosted by this component into a registry key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

handles activation (loading) of a UNO component.

See also
  com::sun::star::registry::XImplementationRegistration

Developers Guide
  Advanced UNO - Implementation Loader

## Member Function Documentation

## ◆ activate()

com::sun::star::uno::XInterface activate | ( | [in] string | implementationName,
|  | [in] string | implementationLoaderUrl,
|  | [in] string | locationUrl,
|  | [in] com::sun::star::registry::XRegistryKey | xKey
| ) |  |
raises | ( | com::sun::star::loader::CannotActivateFactoryException
| ) |  |

activates a concrete implementation within a component.

Parameters

  implementationName | The name of the implementation, which shall be instantiated. The method XImplementationLoader::writeRegistryInfo() writes a list of implementation names hosted by this component.
  implementationLoaderUrl | specification bug, ignore this parameter, please pass an empty string.
  locationUrl | Points to the location of the file containing the component (for instance a .jar-file or a shared library). This parameter should be in a URL format (= protocol:protocol-dependent-part). In case the string contains no leading "protocol:", the implementation in general assumes, that it is a relative file url.

Special loaders may define their own protocol (for instance an executable loader may need more than only one file url).

Parameters

  xKey | A registry which may be used to read static data previously written via XImplementationLoader::writeRegistryInfo(). The use of this parameter is deprecated.

Returns
  returns a factory interface, which allows to create an instance of the concrete implementation. In general, the object supports a com::sun::star::lang::XSingleComponentFactory and the com::sun::star::lang::XServiceInfo interface. The XServiceInfo interface informs about the capabilities of the service implementation, not the factory itself.

## ◆ writeRegistryInfo()

boolean writeRegistryInfo | ( | [in] com::sun::star::registry::XRegistryKey | xKey,
|  | [in] string | implementationLoaderUrl,
|  | [in] string | locationUrl
| ) |  |
raises | ( | com::sun::star::registry::CannotRegisterImplementationException
| ) |  |

writes a list of all implementations hosted by this component into a registry key.

This method is called during registering a component.

Parameters

  xKey | The registry key, which shall be used to write for each implementation the implementation name plus a list of supported services.
  implementationLoaderUrl | specification bug, ignore this parameter, please pass an empty string.
  locationUrl | Points to the location of the file containing the component (for instance a .jar-file or a shared library). This parameter should be in a URL format (= protocol:protocol-dependent-part). In case the string contains no leading "protocol:", the implementation in general assumes, that it is a relative file url.

Special loaders may define their own protocol (for instance an executable loader may need more than only one file url).

See also
  com::sun::star::registry::XImplementationRegistration

The documentation for this interface was generated from the following file:

- com/sun/star/loader/XImplementationLoader.idl